# Searches for batches using predefined parameters Searches for batches using predefined parameters Endpoint: POST /batches/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `business_unit_id` (string) - `count` (array) - `date` (array) - `fiscal_period` (number) - `fiscal_year_id` (string) - `id` (array) - `name` (string) - `recurring_batch_id` (array) - `status` (array) Enum: "closed", "downloaded", "error", "open", "posted", "posting", "verified" - `total` (array) - `type` (array) Enum: "cost of goods sold", "deferred revenue", "transaction" ## Response 200 fields (application/json): - `Items` (array) - `Items.business_unit_id` (string, required) - `Items.date` (string) - `Items.fiscal_period` (number, required) - `Items.fiscal_year_id` (string, required) - `Items.id` (string) - `Items.name` (string) - `Items.recurring_batch_id` (string) - `Items.status` (string) Enum: "closed", "downloaded", "error", "open", "posted", "posting", "verified" - `Items.type` (string) Enum: "cost of goods sold", "deferred revenue", "transaction" - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 405 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields